Get Module Management preferences
OpenAPI contract
- Method
- GET
- Path
/api/v1/processors/modules/preferences- Security
- jwtBearer (bearer) OR automationKey (bearer)
- Response status
- 200 400 401 403 404 429 500
Request and response schemas
JSON
{
"requestBody": {},
"responses": {
"200": {
"description": "Module Management preferences",
"content": {
"application/json": {
"$ref": "#/components/schemas/ModulePreferencesResponse"
}
}
},
"400": {
"description": "Invalid request",
"content": {
"application/json": {
"$ref": "#/components/schemas/RequestError"
}
}
},
"401": {
"description": "Authentication required or invalid",
"content": {
"application/json": {
"$ref": "#/components/schemas/SecurityError"
}
}
},
"403": {
"description": "Authenticated but not permitted",
"content": {
"application/json": {
"$ref": "#/components/schemas/SecurityError"
}
}
},
"404": {
"description": "Requested processor preset was not found",
"content": {
"application/json": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"429": {
"description": "Rate limit exceeded",
"content": {
"application/json": {
"$ref": "#/components/schemas/SecurityError"
}
}
},
"500": {
"description": "Unexpected server error",
"content": {
"application/json": {
"$ref": "#/components/schemas/ApiError"
}
}
}
}
}GET /api/v1/processors/modules/preferences accepts a JWT or an nfy_ key with processor:read. It returns the account-level autoSaveEnabled preference and the active Profile ID. These values are cross-device preferences and are not part of a Profile's Module Configuration.
http
GET /api/v1/processors/modules/preferences
Authorization: Bearer <access token>